ideviceinstaller(1)

NAME
ideviceinstaller - Manage apps on iOS devices.

SYNOPSIS
ideviceinstaller [OPTIONS]

DESCRIPTION
Allows to install, upgrade, uninstall, archive, restore and enumerate installed or archived apps on iOS devices.

OPTIONS

  General options:

-d, --debug
    enable communication debugging.

-u, --udid UDID
    target specific device by its 40-digit device UDID.

-h, --help
    prints usage information

  Commands:

-l, --list-apps
    list apps installed on the device.
    Additional options:

    -o list_user
        list user apps only (apps installed by the user) This is the default.

    -o list_system
        list system apps only (apps available from the system firmware)

    -o list_all
        list all types of apps

    -o xml
        print output in xml format (PList)

-i, --install ARCHIVE
    install app from a package file specified by ARCHIVE. ARCHIVE can also be a app installation.

-U, --uninstall APPID
    uninstall app specified by APPID.

-g, --upgrade ARCHIVE
    upgrade app from a package file specified by ARCHIVE.

-r, --restore APPID
    restore archived app specified by APPID.

-L, --list-archives
    list archived applications on the device.
    Additional options:

    -o xml
        print output in xml format (PList)

-a, --archive APPID
    archive app specified by APPID.
    Additional options:

    -o uninstall
        uninstall the package after making an archive

    -o app_only
        archive application data only

    -o docs_only
        archive documents (user data) only

    -o copy=PATH
        copy the app archive to directory PATH when done

    -o remove
        only valid when copy=PATH is used: remove after copy

-R, --remove-archive APPID
    remove app archive specified by APPID.

AUTHOR
This manual page was written by Martin Szulecki.

ON THE WEB
https://libimobiledevice.org https://github.com/libimobiledevice/ideviceinstaller